<!DOCTYPE html>
<html>
<head><h1>Software Engineering Code of Ehtics and Professional Practice</h1>

	<h4><b>IEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h4></b>
	<hr>

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<title> </title>
	<br>
</head>
<body>
	<b>Keywords</b>: code of ethics, professional responsibilty, software engineering
	<br>
	<h5><b>PREAMBLE</b></h5>

<p>The short version of the code summarizes aspirations at a high level of abstraction.The clauses that are included in the full version give examples and deatils of how these aspirtations change the way we act as software engineering professionals.Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but emppty; together, the aspirations and the details form a cohesive code.
<br>
<br>
Software engineers shall commit themselves to making the analyysis, specification, design, development, testing and maintenance of software a beneficial and respected profession.In accordance with their commitment to health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>

<h5>PRINCIPLES</h5>

<ol>
 <li><i>Public.</i> Software engineers shall act consistenlty with public interest.</li>
 <li><i>Client and employer.</i> Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
 <li><i>Product.</i> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible</li>
 <li><i>Judgment.</i> Software engineers shall maintain integrity and independence in their professional judgment.</li>
 <li><i>Management.</i> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
 <li><i>Profession.</i> Software engineering shall advance the integrity and reputation of the profession consistent with the public interest.</li>
 <li><i>Collegues.</i> Software engineers shall be fair to and supportive of their collegues.</li>
 <li><i>Self.</i> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession</li>
</ol>

</body>
</html>